spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    max-wait: 60000
    time-between-eviction-runs-millis: 60000
    initial-size: 50
    min-idle: 10
    max-active: 50
    min-evictable-idle-time-millis: 600000
    #    max-evictable-idle-time-millis: 900000
    test-on-borrow: false
    test-on-return: false
    test-while-idle: true
    remove-abandoned: true
    remove-abandoned-timeout: 180
    keep-alive: true
    url: jdbc:mysql://172.19.189.118/jay_monitor_prod?characterEncoding=UTF-8&connectTimeout=60000&socketTimeout=60000
    username: jay_monitor
    password: jayzhou
  oss:
    access-key-id: LTAImNZed054h0YV
    access-key-secret: 8hmhlhiQ2ikmVeLKujwMNWsktFpSzm
    endpoint: https://oss-cn-shanghai.aliyuncs.com
    default-bucket-name: linux-data
    default-bucket-path: alert/image  # 注意不要/开头
  alert:
    alert-type:
      dingding:
          url: https://oapi.dingtalk.com/robot/send?access_token=9f140367f26795e163a269645012d11631a1dd32f4e131d66be06a88fd883cc9
    alert-rule-config-map:
      URL:
        max-time: 5000
        status-list: [ 500,503,504 ]
      MQ:
        max-time: 3000
        status-list: [ -1 ]
      SQL:
        max-response-count: 150
        max-time: 1000
    log-monitor-url: http://106.14.4.198:2281/cat/r/m/
    server-domain: http://47.103.148.74:5800
    console-url: ${spring.alert.server-domain}/index.html?token=${jay.server.token}
    server-log-console: ${spring.alert.server-domain}/api/log/console

elasticsearch:
  host: 101.132.238.123:26214
  enable-env-prefix: true
  max_connect_total: 30
  max_connect_per_route: 30
  connection_request_timeout_millis: 2000
  socket_timeout_millis: 30000
  connect_timeout_millis: 2000

logging:
  config: classpath:logback/logback.xml

# 开启登录模式
jay:
  server:
    enable-login: true
    token: ELABER
    username: admin
    password: elab@123